CreateVirtualRouterOffering
CreateVirtualRouterOffering
POST
/zstack/v1/instance-offerings/virtual-routersOperation ID
CreateVirtualRouterOfferingSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
zoneUuidStringRequiredThe zone UUID.
managementNetworkUuidStringRequiredThe L3 management network UUID.
imageUuidStringRequiredThe image UUID.
publicNetworkUuidStringOptional. The L3 public network UUID.
isDefaultBooleanOptional. Whether the vRouter offering is the default offering.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
cpuNumintRequiredThe CPU count.
memorySizelongRequiredThe memory size.
allocatorStrategyStringOptional. The allocator strategy.
sortKeyintOptional. The sort key.
typeStringOptional. The type.
resourceUuidStringOptional. The resource UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
